you'll need an Intel to run the Snow Leopard

Posted by: FSM

you'll need an Intel to run the Snow Leopard - 06/10/09 10:54 PM

http://www.apple.com/macosx/specs.html

snippet (the relevant stuff anyway):
Code:
General requirements

    * Mac computer with an Intel processor
    * 1GB of memory
    * 5GB of free disk space
    * DVD drive for installation
    * Some features require a compatible Internet service provider; fees may apply.
Posted by: Stumpy1

Re: you'll need an Intel to run the Snow Leopard - 06/11/09 03:25 AM

Hmmm. I wonder how much upgrading from Tiger will cost with that extra "package" attached.

I've been looking forward to snow leopard and wondered about iWork. It looks like I'll be forced to find out about it. Mixed emotions.
Posted by: John Rougeux

Re: you'll need an Intel to run the Snow Leopard - 06/11/09 04:05 AM

Extra package?

oh, I see what you are talking about:
Quote:
Upgrading from Mac OS X v10.4 Tiger.
If your Intel-based Mac is running Mac OS X v10.4 Tiger, purchase the Mac Box Set (when available), which is a single, affordable package that includes Mac OS X v10.6 Snow Leopard; iLife ’09, with the latest versions of iPhoto, iMovie, GarageBand, iWeb, and iDVD; and iWork ’09, Apple’s productivity suite for home and office including Pages, Numbers, and Keynote.


I hope that you don't have to get all that! If they do sell it on it's own, I bet it's going to be $129
Posted by: John Rougeux

Re: you'll need an Intel to run the Snow Leopard - 06/11/09 04:10 AM

Hmmm...looks like they are forcing you to get the package. I wonder if it's because Leopard users already paid $129?

For Tiger users with an Intel-based Mac, the Mac Box Set includes Mac OS X Snow Leopard, iLife '09 and iWork '09 and will be available for a suggested price of $169 (US) and a Family Pack is available for a suggested price of $229 (US).
Posted by: Clark

Re: you'll need an Intel to run the Snow Leopard - 06/11/09 05:25 AM

.
Yes, which is good news.
Now Snow Leopard won't be bloated with two different codes.
.
Posted by: MacBozo

Re: you'll need an Intel to run the Snow Leopard - 06/11/09 05:54 AM

I guess I'd better do the RAM upgrades I have planned (2Gig set still sitting here). My wife's Mini gets the 1Gig from my Mini.
Posted by: polymerase

Re: you'll need an Intel to run the Snow Leopard - 06/11/09 06:51 AM

Originally Posted By: Clark
.
Yes, which is good news.
Now Snow Leopard won't be bloated with two different codes.
.

Yes, thankfully they stuck to their guns and didn't allow that old code in. This will make all sorts of things less cumbersome.
Posted by: zwei

Re: you'll need an Intel to run the Snow Leopard - 06/11/09 10:21 AM

$169. That sounds like a reasonable price.

I don't care what anyone else says. I'm more excited about Snow Leopard than probably any other version of OS X besides Panther. The upgrade itself doesn't look that spectacular, but it's going to bring a sea change. Starting with the swift death of PowerPC/Universal Binaries.

10.6 == OS liposuction
Posted by: Stumpy1

Re: you'll need an Intel to run the Snow Leopard - 06/11/09 04:46 PM

$169 is less than they'd probably cost separately, so that's not too bad.

Thanks!

Posted by: Stumpy1

Re: you'll need an Intel to run the Snow Leopard - 06/11/09 04:59 PM

Also looks like Safari 4 will have the ability to stay up if a tab crashes. I've been using Explorer 8 at work for a couple of months, and I love that particular feature.
Posted by: MacGizmo

Re: you'll need an Intel to run the Snow Leopard - 06/11/09 07:26 PM

Originally Posted By: zwei
I'm more excited about Snow Leopard than probably any other version of OS X besides Panther...the swift death of PowerPC/Universal Binaries
Couldn't agree more. I'm happy to see full OS optimization. Besides, I'm just now starting to feel comfortable using more and more tools that the original Leopard brought. I don't feel like anything is "lacking" - so I just assume they not add more bloat to the mix.

I suspect that OS 10.7 will be pooping new features like a baby eating fruit salad anyway - I can wait, and I'll be quite used to pooping babies by then.
Posted by: polymerase

Re: you'll need an Intel to run the Snow Leopard - 06/11/09 07:47 PM

Originally Posted By: MacGizmo
I can wait, and I'll be quite used to pooping babies by then.
Pooping babies is plural. Do you have another baby pooper on the way?
Posted by: padmavyuha

Re: you'll need an Intel to run the Snow Leopard - 06/11/09 11:54 PM

Originally Posted By: MacGizmo
...and I'll be quite used to pooping babies by then.

You've got to stop eating those babies. Or at least don't swallow them whole.
Posted by: MacGizmo

Re: you'll need an Intel to run the Snow Leopard - 06/14/09 12:57 PM

No, we're sticking with the one we have. But I have a brother-in-law with a pooping baby and they visit often.